Edgewall Software

Changes between Version 6 and Version 7 of TracDev/Proposals/Announcer


Ignore:
Timestamp:
Jul 25, 2010, 11:47:44 PM (12 years ago)
Author:
hasienda <hoff.st@…>
Comment:

add notes regarding development plan and more links to related wiki pages

Legend:

Unmodified
Added
Removed
Modified
  • TracDev/Proposals/Announcer

    v6 v7  
    88== Requirements ==
    99 ''(to doki_pen: feel free to move that section elsewhere in the page or into another page if you prefer)''
     10=== Trac Notification API compatibility === #trac-api-compat
     11This will be needed to not instantly break 30+ Trac plugins using TracNotification system right now (see: [wiki:TracDev/NotificationApi#Relatedinformation plugin listing] for details). So after analyzing the current implementation of [wiki:TracDev/NotificationApi Trac Notification Api] we have to decide on witch classes have to be added to Announcer code to fully replace TracNotification.
    1012
    1113=== i18n requirements === #i18n-requirements
     
    3638
    3739----
    38 See also: TracDev/Proposals, related tickets: [[TicketQuery(status=!closed&keywords=~announcer,format=compact)]], and [googlegroups:trac-dev:535b9ad2dd6e2882 Trac Notifications ] mail on Trac-dev
     40See also: TracNotification, TracDev/Proposals, [wiki:TracDev/NotificationApi TracNotification API documentation], [wiki:TracDev/Announcer Developer reference page for AnnouncerPlugin], related tickets: [[TicketQuery(status=!closed&keywords=~announcer,format=compact)]], and [googlegroups:trac-dev:535b9ad2dd6e2882 Trac Notifications ] mail on Trac-dev